%routine get real time(%integer%name hrtime,mintime)
%string(2) hours,minutes
%string(5) stime

   stime = time
   %unless stime -> hours.(".").minutes %start
      hours = "0"; minutes = "0"
   %finish
   hrtime = stoi(hours)
   mintime = stoi(minutes)
%end

%routine update and print time(%integername hours,minutes)
%string(255) hrs,mins

   hours = hours + minutes//60 %and minutes = rem(minutes,60) %if minutes >= 60
   hours = rem(hours,24) %if hours >= 24
   hrs = itos(hours,0); mins = itos(minutes,0)
   hrs  = ("0").hrs %if hours < 10
   mins = ("0").mins %if minutes < 10
   printstring(hrs.":".mins)
%end

